## ros-melodic-rwt-moveit 0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_moveit)

find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
)

add_message_files(
  FILES
  MoveGroupPlan.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS std_msgs message_runtime
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(PROGRAMS
  nodes/interactive_moveit.py
  nodes/link_group_publisher
  nodes/sample_moveit_publisher.py
  nodes/joint_state_publisher
  nodes/moveit_publisher.py
  nodes/virtual_joint_state_publisher
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

=== debian/changelog ===
ros-melodic-rwt-moveit (0.1.2-2bionic) bionic; urgency=high

  * fix for noetic (#130 <https://github.com/tork-a/visualization_rwt//issues/130>)
    
      * rwt_moveit: remove depends to kdl
    
  * Contributors: Kei Okada

 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Mon, 29 May 2023 15:00:00 -0000

ros-melodic-rwt-moveit (0.1.1-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-melodic-rwt-moveit (0.1.0-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Nov 2021 15:00:00 -0000

ros-melodic-rwt-moveit (0.0.5-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Thu, 11 Mar 2021 15:00:00 -0000

ros-melodic-rwt-moveit (0.0.4-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Mon, 08 Mar 2021 15:00:00 -0000

ros-melodic-rwt-moveit (0.0.3-2bionic) bionic; urgency=high



 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

ros-melodic-rwt-moveit (0.0.2-2bionic) bionic; urgency=high

  * reomve depends to the packages released from CDN
  * [rwt_moveit] Document how to run.
  * Launch file optimized. Now basically user can start all nodes by run.launch
  * [doc] Utilize rosdoc
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * use tork-a/roswww
  * rwt_moveit: Updating README.rst to fix name of launch file in example #45 <https://github.com/tork-a/visualization_rwt/issues/45>
    
      * Fixing zero height on canvas on page load
      * (rwt_moveit doc) Add temporary hack.
      * (rwt_moveit) Add chrome setting detail.
      * rwt_moveit: Updating README.rst to fix name of launch file in example
      * rwt_moveit: Fixing import errors in interactive_moveit.py
      * (rwt_moveit) Improve readme. Add description to the manifest.
      * (rwt_moveit) Improve readme. Add description to the manifest.
      * (rwt_moveit) Fix to build by catkin.
      * catkinize visualization_rwt packages
      * Add rwt_moveit (moved from rwt_apps).
    
  * Contributors: Dylan Vaughn, Yuki Furuta, Isaac Saito, Kei Okada

 -- Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-rwt-moveit
Section: misc
Priority: optional
Maintainer: Isaac I.Y. Saito <iiysaito@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-interactive-marker-proxy, ros-melodic-message-generation, ros-melodic-moveit-msgs, ros-melodic-robot-state-publisher, ros-melodic-rosbridge-server, ros-melodic-rospy, ros-melodic-roswww, ros-melodic-rwt-utils-3rdparty, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-web-republisher, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rwt_moveit
Standards-Version: 3.9.2

Package: ros-melodic-rwt-moveit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-interactive-marker-proxy, ros-melodic-message-runtime, ros-melodic-moveit-msgs, ros-melodic-robot-state-publisher, ros-melodic-rosbridge-server, ros-melodic-rospy, ros-melodic-roswww, ros-melodic-rwt-utils-3rdparty, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-tf, ros-melodic-tf2-web-republisher, ros-melodic-visualization-msgs
Description: This package provides a web user interface of MoveIt! on top of visualizer in ros3djs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rwt-moveit//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
